Subject: Re: IP address: property of host or interface?

From: Ben Greear <[email-masked]>
Date: Mon, 26 Jan 2009 10:06:58 -0800

Rick Jones wrote:
>> So.. am I right that an IP address is a HOST property, not an INTERFACE
>> property, and that the traditional way is just more convenient to set 
>> up? And
>> that all the tools that complains that "there's no IP address 
>> assigned to this
>> interface" (tcpdump) are wrong? :)
>
> There are two "schools" of thought - the Linux stack follows the "weak 
> end system" model in which IP addresses are treated as a host 
> property.  There is another school of thought called the "strong end 
> system" model where IP addresses are an interface property.  There are 
> some "other" stacks out there which can be configured to behave in a 
> "strong end system" way but they tend to default to more of something 
> in between the two.
>
> Tcpdump may simply be caught in the middle :)
With a bit of configuring (away from system defaults), Linux can behave 
as a 'strong end system', and even
in default behaviour, I don't believe it will process IP packets from an 
interface that has NO IP address assigned
to it.

Thanks,
Ben

>
> rick jones
> -- 
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com